Bug 91032 - [chromium] Wrap ScrollbarLayerChromium in WebScrollbarLayer
Summary: [chromium] Wrap ScrollbarLayerChromium in WebScrollbarLayer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adrienne Walker
URL:
Keywords:
Depends on: 90528
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 16:38 PDT by Adrienne Walker
Modified: 2012-07-30 20:03 PDT (History)
9 users (show)

See Also:


Attachments
Patch (14.32 KB, patch)
2012-07-11 16:40 PDT, Adrienne Walker
no flags Details | Formatted Diff | Diff
Rebased (14.34 KB, patch)
2012-07-26 11:08 PDT, Adrienne Walker
no flags Details | Formatted Diff | Diff
Rebased (14.19 KB, patch)
2012-07-30 14:42 PDT, Adrienne Walker
no flags Details | Formatted Diff | Diff
Patch for landing (14.13 KB, patch)
2012-07-30 15:35 PDT, Adrienne Walker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrienne Walker 2012-07-11 16:38:20 PDT
[chromium] Wrap ScrollbarLayerChromium in WebScrollbarLayer
Comment 1 Adrienne Walker 2012-07-11 16:40:40 PDT
Created attachment 151814 [details]
Patch
Comment 2 Adrienne Walker 2012-07-26 11:08:32 PDT
Created attachment 154690 [details]
Rebased
Comment 3 Adrienne Walker 2012-07-30 14:42:47 PDT
Created attachment 155368 [details]
Rebased
Comment 4 WebKit Review Bot 2012-07-30 14:45:05 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 5 James Robinson 2012-07-30 14:49:52 PDT
Comment on attachment 155368 [details]
Rebased

View in context: https://bugs.webkit.org/attachment.cgi?id=155368&action=review

Awesome!

> Source/WebKit/chromium/src/WebScrollbarLayer.cpp:59
> +    return static_cast<ScrollbarLayerChromium*>(m_private.get());

does "return unwrap<ScrollbarLayerChromium>()" work instead of the static_cast<>? it's slightly clearer about what it means, IMO
Comment 6 WebKit Review Bot 2012-07-30 15:00:59 PDT
Comment on attachment 155368 [details]
Rebased

Attachment 155368 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13389451
Comment 7 Adrienne Walker 2012-07-30 15:35:25 PDT
Created attachment 155386 [details]
Patch for landing
Comment 8 Adrienne Walker 2012-07-30 15:36:05 PDT
Comment on attachment 155386 [details]
Patch for landing

(In reply to comment #5)
> (From update of attachment 155368 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=155368&action=review
> 
> > Source/WebKit/chromium/src/WebScrollbarLayer.cpp:59
> > +    return static_cast<ScrollbarLayerChromium*>(m_private.get());
> 
> does "return unwrap<ScrollbarLayerChromium>()" work instead of the static_cast<>? it's slightly clearer about what it means, IMO

Ah, for sure.  Fixed.
Comment 9 WebKit Review Bot 2012-07-30 20:03:09 PDT
Comment on attachment 155386 [details]
Patch for landing

Clearing flags on attachment: 155386

Committed r124160: <http://trac.webkit.org/changeset/124160>
Comment 10 WebKit Review Bot 2012-07-30 20:03:15 PDT
All reviewed patches have been landed.  Closing bug.